
Redmine - Defect #15577

Error 500 when create a new issue in V2.4.1

2013-12-02 09:16 - Mr. DTTH

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.4.1

Description

When I create a new issue , it throw error 500

Rails 3.2.15

Redmine 2.4.1

Started POST "/projects/myos/issues" for 113.190.220.198 at 2013-12-02 15:11:19 +0700

Processing by IssuesController#create as HTML

Parameters: {"utf8"=>"✓", "authenticity_token"=>"ehVu36qmPlS0H8PLVh4ZRJ9i5kq6k8+y9OSJxxlLYsw=",

"issue"=>{"tracker_id"=>"4", "subject"=>"Task Title 1111", "description"=>"Content for task 111", "status_id"=>"2", "priority_id"=>"4",

"assigned_to_id"=>"37", "fixed_version_id"=>"37", "start_date"=>"2013-12-02", "due_date"=>"", "estimated_hours"=>"",

"done_ratio"=>"0"}, "commit"=>"Tạo mới", "project_id"=>"myos"}

Current user: DTTH (id=37)

Completed 500 Internal Server Error in 269.6ms

ArgumentError (wrong number of arguments (3 for 1)):

app/models/mailer.rb:422:in `initialize'

app/models/mailer.rb:445:in `method_missing'

app/models/mailer.rb:52:in `block in deliver_issue_add'

app/models/issue.rb:821:in `each_notification'

app/models/mailer.rb:51:in `deliver_issue_add'

app/models/issue.rb:1514:in `send_notification'

app/models/issue.rb:163:in `create_or_update'

app/controllers/issues_controller.rb:146:in `create'

Related issues:

Related to Redmine - Defect #15754: Error when email is configured. Closed

History

#1 - 2013-12-02 09:29 - Toshi MARUYAMA

- Status changed from New to Needs feedback

It seems you use incompatible plugin.

http://www.redmine.org/projects/redmine/repository/revisions/12012/diff/trunk/app/models/mailer.rb

#2 - 2013-12-02 09:58 - Mr. DTTH

Thanks to Toshi MARUYAMA.

it's fixed.

#3 - 2013-12-02 10:48 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.

#4 - 2014-03-01 02:16 - Toshi MARUYAMA

- Related to Defect #15754: Error when email is configured. added
